import PropTypes from 'prop-types';

export const FormattedMessage = ({ children, id }) => (children ? children(id) : id);

export const FormattedHTMLMessage = ({ id }) => id;

export const FormattedNumber = ({ value }) => value;

export const intlShape = PropTypes.object;

const intl = {
  formatMessage: FormattedMessage,
  formatHTMLMessage: FormattedHTMLMessage,
  formatNumber: FormattedNumber,
};

export const injectIntl = (Node) => {
  const renderWrapper = props => <Node {...props} intl={intl} />;
  renderWrapper.displayName = Node.displayName || Node.name || 'Component';
  return renderWrapper;
};

export const addLocaleData = jest.fn();
