import React from 'react';
import PropTypes from 'prop-types';
import { Redirect } from 'react-router-dom';
import { wrapRoute2Locale } from '../../helpers/localization';

export const ChangeRoute = ({ to, search, locale }) => (
  <Redirect
    to={{
      pathname: wrapRoute2Locale(to, locale),
      search,
    }}
  />
);

ChangeRoute.propTypes = {
  to: PropTypes.string.isRequired,
  locale: PropTypes.string.isRequired,
  search: PropTypes.string,
};

ChangeRoute.defaultProps = {
  search: '',
};
