import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

export const DotDivider = ({ className, length, color }) => {
  const domensions = { height: `${length}px`, width: `${length}px` };
  return (
    <span
      style={domensions}
      className={
        classNames(`dot-divider bg-${color}`, className)}
    />);
};

DotDivider.propTypes = {
  className: PropTypes.string,
  length: PropTypes.number,
  color: PropTypes.string,
};

DotDivider.defaultProps = {
  className: null,
  length: 3,
  color: 'shade-s30',
};
