import React from 'react';
import { IconArrowDown } from '../icons/icon-arrow-down/icon-arrow-down';
import { DropdownWithIcon } from './dropdown-with-icon';

const icon = <IconArrowDown />;
const data = ['Data1', 'Data2'];

describe('<DropdownWithIcon />', () => {
  let wrapper;

  beforeAll(() => {
    wrapper = shallow((
      <DropdownWithIcon
        icon={icon}
        data={data}
        value="Test"
        label="textLabel"
      />
    ));
  });

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  describe('toggleDropdown', () => {
    test('should match snapshot', () => {
      expect(wrapper).toMatchSnapshot();
    });

    test('should match snapshot', () => {
      wrapper.setState({
        dropdownOpen: false,
      });
      wrapper.instance().toggleDropdown();
      expect(wrapper.state().dropdownOpen).toBe(true);
    });

    describe('when user is logged in', () => {
      test('should match snapshot', () => {
        wrapper.setState({
          dropdownOpen: false,
        });
        expect(wrapper).toMatchSnapshot();
      });
    });
  });

  describe('when disabled', () => {
    test('should match snapshot', () => {
      wrapper = shallow((
        <DropdownWithIcon
          icon={icon}
          data={data}
          value="Test"
          label="textLabel"
          disabled
        />
      ));
      expect(wrapper).toMatchSnapshot();
    });
  });
});
