import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import './button-with-loader-wrapper.scss';

export const ButtonWithLoaderWrapper = ({ isLoading, children, className }) => (
  <div className={classNames(className, 'loader-wrapper d-inline-block', { 'loader-wrapper-is-run': isLoading })}>
    {isLoading &&
      <div className="loader-dots d-flex justify-content-between align-items-end">
        <span className="loader-dot d-inline-block bg-white rounded-circle" />
        <span className="loader-dot d-inline-block bg-white rounded-circle" />
        <span className="loader-dot d-inline-block bg-white rounded-circle" />
      </div>
    }
    {children}
  </div>
);

ButtonWithLoaderWrapper.propTypes = {
  children: PropTypes.node.isRequired,
  isLoading: PropTypes.bool.isRequired,
  className: PropTypes.string,
};

ButtonWithLoaderWrapper.defaultProps = {
  className: '',
};
