import React from 'react';
import { ButtonWithLoaderWrapper } from './button-with-loader-wrapper';

describe('<ButtonWithLoaderWrapper />', () => {
  let wrapper;

  beforeAll(() => {
    wrapper = shallow(<ButtonWithLoaderWrapper isLoading>Test content</ButtonWithLoaderWrapper>);
  });

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  test('wrapper block should have spec class when "isLoading" property is TRUE', () => {
    expect(wrapper.find('.loader-wrapper-is-run').length).toBe(1);
  });

  test('wrapper block should have block with "dots" animation when "isLoading" property is TRUE', () => {
    expect(wrapper.find('.loader-dots').length).toBe(1);
  });

  test('bar', () => {
    expect(wrapper.find('.loader-dots').length).toBe(1);
  });

  describe('when not loading', () => {
    test('should match snapshot', () => {
      wrapper = shallow(<ButtonWithLoaderWrapper isLoading={false}>Test content</ButtonWithLoaderWrapper>);
      expect(wrapper).toMatchSnapshot();
    });
  });
});
