import React from 'react';
import PropTypes from 'prop-types';
import FormGroup from 'reactstrap/lib/FormGroup';
import Label from 'reactstrap/lib/Label';
import { FormattedMessage } from 'react-intl';
import { PincodeInput } from '../pincode-input/pincode-input';

export const PincodeGroup = ({
  id, label, children, ...props
}) => (
  <FormGroup className="text-left">
    <Label for={id}>
      <FormattedMessage id={label} />
    </Label>
    <PincodeInput
      id={id}
      {...props}
    />
    {children}
  </FormGroup>
);

PincodeGroup.propTypes = {
  id: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired,
  value: PropTypes.string.isRequired,
  name: PropTypes.string.isRequired,
  setPinCode: PropTypes.func.isRequired,
  inputError: PropTypes.string,
  children: PropTypes.node,
};

PincodeGroup.defaultProps = {
  inputError: null,
  children: null,
};
