import React from 'react';
import { PincodeInput } from './pincode-input';
import { InputValidation } from '../input-validation/input-validation';

let wrapper;
const setPinCode = jest.fn();

describe('<PincodeInput />', () => {
  beforeAll(() => {
    wrapper = shallow(<PincodeInput setPinCode={setPinCode} />);
  });

  test('should render PincodeInput', () => {
    expect(wrapper).toMatchSnapshot();
  });

  describe('when pincode value changes', () => {
    test('should call setPinCode prop method', () => {
      wrapper.find(InputValidation).simulate('change', {
        target: {
          value: 'test',
        },
      });
      expect(setPinCode).toHaveBeenCalledWith('test');
    });
  });
});
