import React from 'react';
import PropTypes from 'prop-types';
import Container from 'reactstrap/lib/Container';
import classNames from 'classnames';
import './header.scss';

export function Header({ children, isWhite }) {
  return (
    <Container tag="header" fluid className={classNames('header p-0', { 'bg-white header-white': isWhite, 'header-with-gradient': !isWhite })}>
      <Container className="h-100 d-flex align-items-center justify-content-between">
        {children}
      </Container>
    </Container>
  );
}

Header.propTypes = {
  children: PropTypes.node.isRequired,
  isWhite: PropTypes.bool,
};

Header.defaultProps = {
  isWhite: false,
};
