import React from 'react';
import PropTypes from 'prop-types';
import { RouteLink } from '../../route-link/route-link';
import './logo-link.scss';

export const LogoLink = ({ to, locale, children }) => (
  <RouteLink to={to} locale={locale} className="header-logo-link">
    {children}
  </RouteLink>
);

LogoLink.propTypes = {
  to: PropTypes.string.isRequired,
  locale: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
};
