import React from 'react';
import PropTypes from 'prop-types';
import colors from '../../../theme/js/color-variables';

export const IconArrowDown = ({ color, className }) => (
  <svg className={className} xmlns="http://www.w3.org/2000/svg" width="12" height="12" viewBox="0 0 12 12">
    <path fill={color} fillRule="nonzero" d="M6.06 7l4-4 1.061 1.06L6.06 9.122 1 4.063l1.06-1.06z" />
  </svg>
);

IconArrowDown.propTypes = {
  color: PropTypes.string,
  className: PropTypes.string,
};

IconArrowDown.defaultProps = {
  color: colors.shadeS40,
  className: '',
};
