import classnames from 'classnames';
import PropTypes from 'prop-types';
import React from 'react';
import colors from '../../../theme/js/color-variables';
import './icon-loading.scss';

export const IconLoading = ({ className }) => (
  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" className={classnames('rotatable-loading-icon', className)}>
    <path fill={colors.greenG40} fillRule="evenodd" d="M8 16a8 8 0 1 1 8-8h-1a7 7 0 1 0-7 7v1z" />
  </svg>
);

IconLoading.propTypes = {
  className: PropTypes.string,
};

IconLoading.defaultProps = {
  className: null,
};
