import React from 'react';
import { MediaQuery } from './media-query';
/* eslint-disable */
import breakpoints from '!!sass-variable-loader!../../../resources/theme/grid-breakpoints.scss';
/* eslint-enable */

jest.mock('../../../resources/theme/grid-breakpoints.scss');

breakpoints.xs = 0;
breakpoints.sm = '768px';
breakpoints.md = '960px';
breakpoints.lg = '1280px';

describe('<MediaQuery />', () => {
  test('when up should match snapshot UP', () => {
    expect(shallow(<MediaQuery up="sm" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery up="md" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery up="lg" />)).toMatchSnapshot();
  });

  test('when down should match snapshot DOWN', () => {
    expect(shallow(<MediaQuery down="xs" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery down="sm" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery down="md" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery down="lg" />)).toMatchSnapshot();
  });

  test('when between should match snapshot BETWEEN', () => {
    expect(shallow(<MediaQuery between={['xs', 'sm']} />)).toMatchSnapshot();
    expect(shallow(<MediaQuery between={['sm', 'md']} />)).toMatchSnapshot();
    expect(shallow(<MediaQuery between={['md', 'lg']} />)).toMatchSnapshot();
    expect(shallow(<MediaQuery between={['md']} />)).toMatchSnapshot();
    expect(shallow(<MediaQuery between={[null, 'md']} />)).toMatchSnapshot();
  });

  test('when only should match snapshot ONLY', () => {
    expect(shallow(<MediaQuery only="xs" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery only="sm" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery only="md" />)).toMatchSnapshot();
    expect(shallow(<MediaQuery only="lg" />)).toMatchSnapshot();
  });

  test('when all props exist should match snapshot', () => {
    expect(shallow(<MediaQuery
      only="sm"
      up="md"
      down="md"
      between={['sm', 'md']}
      query="(max-width: 300px)"
    />)).toMatchSnapshot();
  });
});
