import React from 'react';
import { Link } from 'react-router-dom';
import { RouteLink } from './route-link';
import { DEFAULT_LOCALE } from '../../constants';

describe('<RouteLink />', () => {
  const onClick = jest.fn();
  let wrapper;

  beforeEach(() => {
    onClick.mockReset();
    wrapper = shallow(<RouteLink href="/test/" to="/test/" onClick={onClick} locale={DEFAULT_LOCALE}>Some</RouteLink>);
  });

  test('should render snapshot + href', () => {
    expect(wrapper).toMatchSnapshot();
  });

  test('should onclick', () => {
    wrapper.find(Link).simulate('click');
    expect(onClick).toHaveBeenCalledTimes(1);
  });

  test('should render w/o href and onClick', () => {
    const wrapper2 = shallow(<RouteLink to="/test/" locale={DEFAULT_LOCALE}>Any</RouteLink>);
    wrapper2.find(Link).simulate('click');
    expect(onClick).not.toHaveBeenCalled();
    expect(wrapper2).toMatchSnapshot();
  });
});
