import React from 'react';
import Container from 'reactstrap/lib/Container';
import Row from 'reactstrap/lib/Row';
import classNames from 'classnames';
import PropTypes from 'prop-types';
import { FormSignCol } from '../form/form-sign-col/form-sign-col';

export const StepContainer = ({ children, className }) => (
  <Container className={classNames(className, 'pt-3_5 pt-sm-8 pt-lg-13_5')}>
    <Row className="justify-content-center">
      <FormSignCol>
        {children}
      </FormSignCol>
    </Row>
  </Container>
);

StepContainer.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
};

StepContainer.defaultProps = {
  className: '',
};
