import React from 'react';
import classnames from 'classnames';
import PropTypes from 'prop-types';

export const NAV_LIGHT = 'light';
export const NAV_DARK = 'dark';

export const NavWrapper = ({ children, color, className }) => {
  const navClass = classnames(className, `navbar-${color}`);
  return (
    <div className={navClass}>
      {children}
    </div>
  );
};

NavWrapper.propTypes = {
  children: PropTypes.node.isRequired,
  color: PropTypes.oneOf([
    NAV_LIGHT,
    NAV_DARK,
  ]),
  className: PropTypes.string,
};

NavWrapper.defaultProps = {
  color: NAV_LIGHT,
  className: null,
};
