import React from 'react';
import classNames from 'classnames';
import PropTypes from 'prop-types';
import './vertical-divider.scss';

export const VerticalDivider = ({ className, dark }) => (
  <span className={classNames('vertical-divider', { dark }, className)} />
);

VerticalDivider.propTypes = {
  className: PropTypes.string,
  dark: PropTypes.bool,
};

VerticalDivider.defaultProps = {
  className: null,
  dark: false,
};
