import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import './widget.scss';

export const Widget = ({ children, className }) => (
  <div className={classnames(className, 'widget px-md-3 px-lg-3_5 py-4')}>
    {children}
  </div>
);

Widget.propTypes = {
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
};

Widget.defaultProps = {
  className: '',
};

