import { LOCALE, DEFAULT_LOCALE } from '../constants';

/**
 * Choose locale from store
 * Pass store as argument (required for isomorphic apps)
 *
 * @param {object} store - can be either localstore key-value storage or cookie.parse(document.cookie)
 */
export const chooseLocale = (store = {}) => {
  const locale = store[LOCALE];
  return locale || DEFAULT_LOCALE;
};

/**
 * Takes route (href) and locale in full format (en-us, ko-ko, etc)
 *
 * @param {string} route
 * @param {string} locale
 */
export const wrapRoute2Locale = (route, locale) => `/${locale}${route}`;
