import { chooseLocale, wrapRoute2Locale } from './localization';
import { LOCALE, LOCALE_KEYS } from '../constants';

const store = {
  [LOCALE]: LOCALE_KEYS.RU_RU,
};

describe('localization', () => {
  describe('chooseLocale', () => {
    test('should chooseLocale from store', () => {
      expect(chooseLocale(store)).toEqual(LOCALE_KEYS.RU_RU);
    });

    test('should choose default locale', () => {
      expect(chooseLocale()).toEqual(LOCALE_KEYS.EN_US);
    });
  });

  describe('wrapRoute2Locale', () => {
    test('should add locale to route', () => {
      expect(wrapRoute2Locale('/test', LOCALE_KEYS.RU_RU)).toEqual(`/${LOCALE_KEYS.RU_RU}/test`);
    });
  });
});
